Delete a webhook endpoint
curl --request DELETE \
--url https://api.blank.build/api/v2/webhook-endpoints/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>' \
--header 'if-match: <if-match>'import requests
url = "https://api.blank.build/api/v2/webhook-endpoints/{endpointId}"
headers = {
"idempotency-key": "<idempotency-key>",
"if-match": "<if-match>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'idempotency-key': '<idempotency-key>',
'if-match': '<if-match>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.blank.build/api/v2/webhook-endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "precondition_invalid",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 400,
"title": "Invalid precondition",
"type": "https://blank.build/docs/reference/errors#precondition_invalid",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "invalid_api_key",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 401,
"title": "Invalid API key",
"type": "https://blank.build/docs/reference/errors#invalid_api_key",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "insufficient_scope",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 403,
"title": "Insufficient scope",
"type": "https://blank.build/docs/reference/errors#insufficient_scope",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "webhook_endpoint_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Webhook endpoint not found",
"type": "https://blank.build/docs/reference/errors#webhook_endpoint_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "idempotency_key_reused",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 409,
"title": "Idempotency key reused",
"type": "https://blank.build/docs/reference/errors#idempotency_key_reused",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "precondition_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 412,
"title": "Precondition failed",
"type": "https://blank.build/docs/reference/errors#precondition_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "request_body_too_large",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 413,
"title": "Request body too large",
"type": "https://blank.build/docs/reference/errors#request_body_too_large",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "unsupported_content_type",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 415,
"title": "Unsupported content type",
"type": "https://blank.build/docs/reference/errors#unsupported_content_type",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "precondition_required",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 428,
"title": "Precondition required",
"type": "https://blank.build/docs/reference/errors#precondition_required",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Rate limiting unavailable",
"type": "https://blank.build/docs/reference/errors#rate_limit_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Webhooks
Delete a webhook endpoint
Soft-deletes an owned endpoint and stops future fanout.
DELETE
/
webhook-endpoints
/
{endpointId}
Delete a webhook endpoint
Authorizations
Server-side scoped Blank API key. Never embed it in browser or mobile code.
Headers
Required string length:
8 - 128Pattern:
^[\x21-\x7E]+$Example:
"launch-20260809-01"
Pattern:
^"[1-9][0-9]*"$Example:
"\"1\""
Path Parameters
⌘I